AnsweredAssumed Answered

Support of OpenGL with EGL binding on IMX6q (3.10.53)

Question asked by sylvain LE HENAFF on Jun 9, 2015
Latest reply on Sep 23, 2015 by sylvain LE HENAFF

Hi,

 

Based on the latest package from freescale/vivante, it seems possible to develop application based on openGL 2.1 using libGL.so.

the EGL in v1.4 supports opengl binding trough EGL_OPENGL_API (in egl.h) however when i try to use this binding, I have a BAD_PARAMETER in return.

 

If I query EGL, the lib returns EGL_OPENGL_ES_API (quite normal, it is working fine with opengl ES 2.0)

 

Does anybody has tryed to use opengl on top of EGL on IMX6 ? Does it exist a specific libEGL.so that allow this binding ?

Is there another way to have opengl with fb on the IMX6 ?

I am using a sabrelite with yocto based on kernel 3.10.53 with galcore v5.x. I am only using framebuffer.

 

Regards

 

Sylvain

Outcomes